## mars.venus
Class GuiAction

    java.lang.Object
      javax.swing.AbstractAction
          mars.venus.GuiAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Direct Known Subclasses:
  EditCopyAction, EditCutAction, EditFindReplaceAction, EditPasteAction, EditRedoAction, EditSelectAllAction, EditUndoAction, FileCloseAction, FileCloseAllAction, FileDumpMemoryAction, FileExitAction, FileNewAction, FileOpenAction, FilePrintAction, FileSaveAction, FileSaveAllAction, FileSaveAsAction, HelpAboutAction, HelpHelpAction, RunAssembleAction, RunBackstepAction, RunClearBreakpointsAction, RunGoAction, RunPauseAction, RunResetAction, RunStepAction, RunStopAction, RunToggleBreakpointsAction, SettingsAddressDisplayBaseAction, SettingsAssembleAllAction, SettingsAssembleOnOpenAction, SettingsDelayedBranchingAction, SettingsEditorAction, SettingsExceptionHandlerAction, SettingsExtendedAction, SettingsHighlightingAction, SettingsLabelAction, SettingsMemoryConfigurationAction, SettingsPopupInputAction, SettingsProgramArgumentsAction, SettingsSelfModifyingCodeAction, SettingsStartAtMainAction, SettingsValueDisplayBaseAction, SettingsWarningsAreErrorsAction

    public class GuiAction

extends AbstractAction

parent class for Action subclasses to be defined for every menu/toolbar option.

See Also:
  Serialized Form

Field Summary
`protected VenusUI` `mainUI`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`protected` `GuiAction(String name, Icon icon, String descrip, Integer mnemonic, KeyStroke accel, VenusUI gui)`

Method Summary
`void` `actionPerformed(ActionEvent e)` does nothing by default.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainUI

    protected VenusUI mainUI

Constructor Detail

### GuiAction

    protected GuiAction(String name,
                        Icon icon,
                        String descrip,
                        Integer mnemonic,
                        KeyStroke accel,
                        VenusUI gui)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  does nothing by default. Should be over-ridden by subclass